## qpdf 8.0.2

=== Makefile ===
# This makefile is inspired by abuild (http://www.abuild.org), which
# was used during the development of qpdf.  The goal here is to have a
# non-recursive build with all the proper dependencies so we can start
# the build from anywhere and get the right stuff.  Each directory has
# a build.mk that is included from here and is written from this
# directory's perspective.  Each directory also has a proxy Makefile
# that allows you to start the build from any directory and get
# reasonable semantics for the all, check, and clean targets.

# Our "build items" are directories.  They are listed here such that
# no item precedes any item it depends on.  Therefore, each item can
# safely reference variables set in its predecessors.

# For each build item B, you can run make build_B, make check_B, or
# make clean_B to build, test, or clean B.  Full dependencies are
# represented across all the items, so it is possible to start
# anywhere.  From the top level, the "all", "check", and "clean"
# targets build, test, or clean everything.

# To run test suites without rebuilding, pass NO_REBUILD=1 to the
# build. This can be useful for testing binary interface compatibility
# as it enables you to rebuild libraries and rerun tests without
# relinking.

# Although this is not a GNU package and does not use automake, you
# can still run make clean to remove everything that is compiled, make
# distclean to remove everything that is generated by the end user,
# and make maintainer-clean to remove everything that is generated
# including things distributed with the source distribution.  You can
# pass CLEAN=1 to prevent this Makefile from complaining if
# ./configure has not been run.

# The install target works as usual and obeys --prefix and so forth
# passed to ./configure.  You can also pass DESTDIR=/dir to make
# install to install in a separate location.  This is useful for
# packagers.

BUILD_ITEMS := manual libqpdf zlib-flate libtests qpdf examples
OUTPUT_DIR = build
ALL_TARGETS =

.PHONY: default
default: all

CLEAN ?=
ifneq ($(CLEAN),1)
ifeq ($(words $(wildcard autoconf.mk)),0)
DUMMY := $(shell echo 1>&2)
DUMMY := $(shell echo 1>&2 Please run ./configure before running $(MAKE))
DUMMY := $(shell echo 1>&2)
$(error unable to continue with build)
endif

autoconf.mk:

include autoconf.mk

endif

# Prevent gnu make from trying to rebuild .dep files
$(foreach B,$(BUILD_ITEMS),$(eval \
  $(B)/$(OUTPUT_DIR)/%.dep: ;))

# Prevent gnu make from trying to rebuild .mk files
$(foreach B,$(BUILD_ITEMS),$(eval \
  $(B)/%.mk: ;))
%.mk: ;
make/%.mk: ;

BUILDRULES ?= libtool
include make/rules.mk

DUMMY := $(shell mkdir $(foreach B,$(BUILD_ITEMS),$(B)/$(OUTPUT_DIR)) 2>/dev/null)

include $(foreach B,$(BUILD_ITEMS),$(B)/build.mk)

ALL_TARGETS = $(foreach B,$(BUILD_ITEMS),$(TARGETS_$(B)))

TEST_ITEMS = $(foreach D,\
                 $(wildcard $(foreach B,$(BUILD_ITEMS),$(B)/qtest)),\
                 $(subst /,,$(dir $(D))))

TEST_TARGETS = $(foreach B,$(TEST_ITEMS),check_$(B))

CLEAN_TARGETS = $(foreach B,$(BUILD_ITEMS),clean_$(B))

# For test suites
export QPDF_BIN = $(abspath qpdf/$(OUTPUT_DIR)/qpdf)
export QPDF_SKIP_TEST_COMPARE_IMAGES
export QPDF_LARGE_FILE_TEST_PATH

clean:: $(CLEAN_TARGETS)
	$(RM) -r appimage/build

.PHONY: $(CLEAN_TARGETS)
$(foreach B,$(BUILD_ITEMS),$(eval \
  clean_$(B): ; \
	$(RM) -r $(B)/$(OUTPUT_DIR)))

AUTOFILES = configure aclocal.m4 libqpdf/qpdf/qpdf-config.h.in
autofiles.zip: $(AUTOFILES)
	$(RM) autofiles.zip
	zip autofiles.zip $(AUTOFILES)

distclean: clean
	$(RM) -r autoconf.mk autom4te.cache config.log config.status libtool
	$(RM) libqpdf/qpdf/qpdf-config.h
	$(RM) manual/html.xsl
	$(RM) manual/print.xsl
	$(RM) doc/*.1
	$(RM) libqpdf.pc libqpdf.map

maintainer-clean: distclean
	$(RM) configure doc/qpdf-manual.* libqpdf/qpdf/qpdf-config.h.in
	$(RM) aclocal.m4
	$(RM) -r install-mingw install-msvc external-libs
	$(RM) autofiles.zip

.PHONY: $(TEST_TARGETS)

NO_REBUILD ?=
ifneq ($(NO_REBUILD),1)
$(foreach B,$(TEST_ITEMS),$(eval \
  check_$(B): $(TARGETS_$(B))))
endif

.PHONY: $(foreach B,$(BUILD_ITEMS),build_$(B))
$(foreach B,$(BUILD_ITEMS),$(eval \
  build_$(B): $(TARGETS_$(B))))

.PHONY: all
all: $(ALL_TARGETS) ;

check: $(TEST_TARGETS)

# Install targets are in the make directory in the rules-specific make
# fragments.

QTEST=$(abspath qtest/bin/qtest-driver)
$(TEST_TARGETS):
	$(call run_qtest,$(subst check_,,$@))

=== debian/changelog ===
qpdf (8.0.2-3~16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Updated to 8.0.2 to fix security issues.
    - CVE-2015-9252, CVE-2017-9208, CVE-2017-9209, CVE-2017-9210,
      CVE-2017-11624, CVE-2017-11625, CVE-2017-11626, CVE-2017-11627,
      CVE-2017-12595, CVE-2017-18183, CVE-2017-18184, CVE-2017-18185,
      CVE-2017-18186, CVE-2018-9918
  * Revert to debhelper 9:
    - debian/compat, debian/control: revert to 9.
    - debian/rules: remove dh_missing.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 01 May 2018 12:40:34 -0400

qpdf (8.0.2-3) unstable; urgency=medium

  * Add patch for CVE-2018-9918 from upstream commit
    b4d6cf6836ce025ba1811b7bbec52680c7204223. (Closes: #895443)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 15 Apr 2018 16:24:12 -0400

qpdf (8.0.2-2) unstable; urgency=medium

  * Update debhelper dependency to 10.3 for dh_missing. (Closes: #893581)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 25 Mar 2018 08:29:34 -0400

qpdf (8.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 06 Mar 2018 11:54:54 -0500

qpdf (8.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 04 Mar 2018 08:40:53 -0500

qpdf (8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 25 Feb 2018 16:55:10 -0500

qpdf (8.0~a1-1) experimental; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 21 Feb 2018 07:15:50 -0500

qpdf (7.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 04 Feb 2018 19:05:20 -0500

qpdf (7.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update standards to 4.1.3. No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 14 Jan 2018 22:22:11 -0500

=== debian/control ===
Source: qpdf
Section: libs
Priority: optional
Build-Depends: debhelper (>> 9~), libjpeg-dev, zlib1g-dev
Maintainer: Jay Berkenbilt <qjb@debian.org>
Standards-Version: 4.1.3
Homepage: http://qpdf.sourceforge.net

Package: libqpdf21
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qpdf
Description: runtime library for PDF transformation/inspection software
 QPDF is a program that can be used to linearize (web-optimize),
 encrypt (password-protect), decrypt, and inspect PDF files from the
 command-line.  It does these and other structural, content-preserving
 transformations on PDF files, reading a PDF file as input and
 creating a new one as output.  It also provides many useful
 capabilities to developers of PDF-producing software or for people
 who just want to look at the innards of a PDF file to learn more
 about how they work.
 .
 QPDF understands PDF files that use compressed object streams
 (supported by newer PDF applications) and can convert such files into
 those that can be read with older viewers.  It can also be used for
 checking PDF files for structural errors, inspecting stream contents,
 or extracting objects from PDF files.  QPDF is not PDF content
 creation or viewing software -- it does not have the capability to
 create PDF files from scratch or to display PDF files.
 .
 This package contains the qpdf runtime libraries required to run
 programs that link with the qpdf library.

Package: libqpdf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libqpdf21 (= ${binary:Version}), libjpeg-dev, zlib1g-dev
Recommends: qpdf
Description: development files for PDF transformation/inspection library
 QPDF is a program that can be used to linearize (web-optimize),
 encrypt (password-protect), decrypt, and inspect PDF files from the
 command-line.  It does these and other structural, content-preserving
 transformations on PDF files, reading a PDF file as input and
 creating a new one as output.  It also provides many useful
 capabilities to developers of PDF-producing software or for people
 who just want to look at the innards of a PDF file to learn more
 about how they work.
 .
 QPDF understands PDF files that use compressed object streams
 (supported by newer PDF applications) and can convert such files into
 those that can be read with older viewers.  It can also be used for
 checking PDF files for structural errors, inspecting stream contents,
 or extracting objects from PDF files.  QPDF is not PDF content
 creation or viewing software -- it does not have the capability to
 create PDF files from scratch or to display PDF files.
 .
 This package includes all development files needed to compile
 applications that use the qpdf library.

Package: qpdf
Section: text
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools for transforming and inspecting PDF files
 QPDF is a program that can be used to linearize (web-optimize),
 encrypt (password-protect), decrypt, and inspect PDF files from the
 command-line.  It does these and other structural, content-preserving
 transformations on PDF files, reading a PDF file as input and
 creating a new one as output.  It also provides many useful
 capabilities to developers of PDF-producing software or for people
 who just want to look at the innards of a PDF file to learn more
 about how they work.
 .
 QPDF understands PDF files that use compressed object streams
 (supported by newer PDF applications) and can convert such files into
 those that can be read with older viewers.  It can also be used for
 checking PDF files for structural errors, inspecting stream contents,
 or extracting objects from PDF files.  QPDF is not PDF content
 creation or viewing software -- it does not have the capability to
 create PDF files from scratch or to display PDF files.
 .
 This package includes the command-line qpdf tools.  It also contains
 the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_MAKE_CHECK_TARGET = check

%:
	dh $@

override_dh_compress:
	dh_compress --exclude=qpdf-manual --exclude=.css --exclude examples/

override_dh_auto_clean:
	make distclean CLEAN=1

override_dh_auto_configure:
	dh_auto_configure -- \
	  --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
	  --enable-show-failed-test-output

override_dh_install:
	dh_install
	mkdir -p debian/libqpdf-dev/usr/share/doc/libqpdf-dev/examples
	cp -p examples/*.cc examples/*.c \
		debian/libqpdf-dev/usr/share/doc/libqpdf-dev/examples
	cp -p README.md debian/libqpdf-dev/usr/share/doc/libqpdf-dev/README.md

## qpdf 8.2.1

=== debian/changelog ===
qpdf (8.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Change interpreter path for fix-qdf to not use /usr/bin/env
  * Update standards version to 4.2.0

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 18 Aug 2018 11:21:48 -0400

qpdf (8.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Includes documentation fixes reported as debian bug. (Closes: #902642)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 17 Aug 2018 21:32:53 -0400

qpdf (8.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Includes fix for CVE-2018-9918

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 23 Jun 2018 09:17:28 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: qpdf
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>> 9~), libjpeg-dev, zlib1g-dev
+Build-Depends: debhelper (>> 10.3~), libjpeg-dev, zlib1g-dev
 Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: http://qpdf.sourceforge.net
 
 Package: libqpdf21

## qpdf 8.4.0

=== Makefile ===
--- 
+++ 
@@ -97,10 +97,10 @@
   clean_$(B): ; \
 	$(RM) -r $(B)/$(OUTPUT_DIR)))
 
-AUTOFILES = configure aclocal.m4 libqpdf/qpdf/qpdf-config.h.in
-autofiles.zip: $(AUTOFILES)
-	$(RM) autofiles.zip
-	zip autofiles.zip $(AUTOFILES)
+DISTFILES = doc/qpdf-manual.html doc/qpdf-manual.pdf
+distfiles.zip: $(DISTFILES)
+	$(RM) distfiles.zip
+	zip distfiles.zip $(DISTFILES)
 
 distclean: clean
 	$(RM) -r autoconf.mk autom4te.cache config.log config.status libtool
@@ -111,10 +111,9 @@
 	$(RM) libqpdf.pc libqpdf.map
 
 maintainer-clean: distclean
-	$(RM) configure doc/qpdf-manual.* libqpdf/qpdf/qpdf-config.h.in
-	$(RM) aclocal.m4
-	$(RM) -r install-mingw install-msvc external-libs
-	$(RM) autofiles.zip
+	$(RM) doc/qpdf-manual.*
+	$(RM) -r install-mingw* install-msvc* external-libs
+	$(RM) distfiles.zip
 
 .PHONY: $(TEST_TARGETS)

=== zlib-flate/Makefile ===
include ../make/proxy.mk

=== debian/changelog ===
qpdf (8.4.0-2) unstable; urgency=medium

  * Stop having library packages recommend binary packages. I'm not sure
    this was ever done or why it took so long to notice. (Closes: #921722)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 08 Feb 2019 17:43:33 -0500

qpdf (8.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 02 Feb 2019 09:42:59 -0500

qpdf (8.3.0-2) unstable; urgency=medium

  * Fix potential data loss. The change is already in master. Details in
    https://github.com/qpdf/qpdf/issues/276

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 17 Jan 2019 10:52:00 -0500

qpdf (8.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Install bash and zsh completion files.

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 07 Jan 2019 18:47:47 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: qpdf
 Description: runtime library for PDF transformation/inspection software
  QPDF is a program that can be used to linearize (web-optimize),
  encrypt (password-protect), decrypt, and inspect PDF files from the
@@ -40,7 +39,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, libqpdf21 (= ${binary:Version}), libjpeg-dev, zlib1g-dev
-Recommends: qpdf
 Description: development files for PDF transformation/inspection library
  QPDF is a program that can be used to linearize (web-optimize),
  encrypt (password-protect), decrypt, and inspect PDF files from the

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	  --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
-	  --enable-show-failed-test-output
+	  --enable-show-failed-test-output --disable-check-autofiles
 
 override_dh_install:
 	dh_install
@@ -27,3 +27,10 @@
 	cp -p examples/*.cc examples/*.c \
 		debian/libqpdf-dev/usr/share/doc/libqpdf-dev/examples
 	cp -p README.md debian/libqpdf-dev/usr/share/doc/libqpdf-dev/README.md
+	mkdir -p debian/qpdf/usr/share/bash-completion/completions
+	cp completions/bash/qpdf \
+		debian/qpdf/usr/share/bash-completion/completions/qpdf
+	mkdir -p debian/qpdf/usr/share/zsh/vendor-completions
+	cp completions/zsh/_qpdf \
+		debian/qpdf/usr/share/zsh/vendor-completions/_qpdf
+	dh_missing --list-missing -X.la

## qpdf 8.4.2

=== debian/changelog ===
qpdf (8.4.2-1) unstable; urgency=medium

  * Update standards to 4.3.0. No changes required.
  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 18 May 2019 09:55:37 -0400

qpdf (8.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 27 Apr 2019 22:13:00 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>> 10.3~), libjpeg-dev, zlib1g-dev
 Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: http://qpdf.sourceforge.net
 
 Package: libqpdf21

## qpdf 9.1.1

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 # install to install in a separate location.  This is useful for
 # packagers.
 
-BUILD_ITEMS := manual libqpdf zlib-flate libtests qpdf examples
+BUILD_ITEMS := manual libqpdf zlib-flate libtests qpdf fuzz examples
 OUTPUT_DIR = build
 ALL_TARGETS =

=== debian/changelog ===
qpdf (9.1.1-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: heap-based buffer overflow in Pl_ASCII85Decoder::write
    - debian/patches/CVE-2021-36978.patch: fix some pipelines to be safe if
      downstream write fails in libqpdf/Pl_AES_PDF.cc,
      libqpdf/Pl_ASCII85Decoder.cc, libqpdf/Pl_ASCIIHexDecoder.cc,
      libqpdf/Pl_Count.cc.
    - CVE-2021-36978

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 28 Jul 2021 09:06:58 -0400

qpdf (9.1.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:29:10 +0100

qpdf (9.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update standards to 4.5.0. No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 26 Jan 2020 21:08:43 -0500

qpdf (9.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 17 Nov 2019 08:24:01 -0500

qpdf (9.1~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Includes build dependency on gnutls to use gnutls crypto provider
    instead of qpdf's native crypto.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 10 Nov 2019 21:38:01 -0500

qpdf (9.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 13 Oct 2019 20:42:32 -0400

qpdf (9.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Upstream release includes detection of duplicated dictionary keys.
    (Closes: #933397)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 20 Sep 2019 09:35:45 -0400

qpdf (9.0.0-2) unstable; urgency=medium

  * Patch for integer conversion warnings on big-endian systems and to fix
    a test failure (from a bad test, not a coding error) for systems where
    char is unsigned.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 17 Sep 2019 19:18:59 -0400

qpdf (9.0.0-1) unstable; urgency=medium

  * Use https on download address in copyright file. (Closes: #933401)
  * Update standards to 4.4.0. No changes required.
  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 31 Aug 2019 21:45:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: qpdf
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>> 10.3~), libjpeg-dev, zlib1g-dev
-Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>> 10.3~), libjpeg-dev, zlib1g-dev, libgnutls28-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jay Berkenbilt <qjb@debian.org>
+Standards-Version: 4.5.0
 Homepage: http://qpdf.sourceforge.net
 
-Package: libqpdf21
+Package: libqpdf26
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -38,7 +39,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libqpdf21 (= ${binary:Version}), libjpeg-dev, zlib1g-dev
+Depends: ${misc:Depends}, libqpdf26 (= ${binary:Version}), libjpeg-dev, zlib1g-dev
 Description: development files for PDF transformation/inspection library
  QPDF is a program that can be used to linearize (web-optimize),
  encrypt (password-protect), decrypt, and inspect PDF files from the

## qpdf 10.0.1

=== debian/changelog ===
qpdf (10.0.1-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Wed, 15 Jul 2020 15:01:58 -0400

qpdf (10.0.1-2) unstable; urgency=medium

  * Apply patch to link with -latomic if needed. (Closes: #902642)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 10 Apr 2020 13:39:17 -0400

qpdf (10.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 09 Apr 2020 17:16:38 -0400

qpdf (10.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 06 Apr 2020 13:02:11 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>> 10.3~), libjpeg-dev, zlib1g-dev, libgnutls28-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Jay Berkenbilt <qjb@debian.org>
 Standards-Version: 4.5.0
 Homepage: http://qpdf.sourceforge.net
 
-Package: libqpdf26
+Package: libqpdf28
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -39,7 +39,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libqpdf26 (= ${binary:Version}), libjpeg-dev, zlib1g-dev
+Depends: ${misc:Depends}, libqpdf28 (= ${binary:Version}), libjpeg-dev, zlib1g-dev
 Description: development files for PDF transformation/inspection library
  QPDF is a program that can be used to linearize (web-optimize),
  encrypt (password-protect), decrypt, and inspect PDF files from the

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 %:
 	dh $@
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_compress:
 	dh_compress --exclude=qpdf-manual --exclude=.css --exclude examples/
 
@@ -19,6 +22,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	  --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
+	  --enable-crypto-gnutls --disable-implicit-crypto \
 	  --enable-show-failed-test-output --disable-check-autofiles
 
 override_dh_install:

## qpdf 10.1.0

=== debian/changelog ===
qpdf (10.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 05 Jan 2021 10:58:43 -0500

qpdf (10.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Update standards to 4.5.1. No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 21 Nov 2020 14:34:52 -0500

qpdf (10.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 31 Oct 2020 14:48:42 -0400

qpdf (10.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 27 Oct 2020 17:27:00 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>> 10.3~), libjpeg-dev, zlib1g-dev, libgnutls28-dev
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 4.5.0
+Maintainer: Jay Berkenbilt <qjb@debian.org>
+Standards-Version: 4.5.1
 Homepage: http://qpdf.sourceforge.net
 
 Package: libqpdf28

## qpdf 10.3.1

=== debian/changelog ===
qpdf (10.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 11 Mar 2021 14:48:14 -0500

qpdf (10.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental because of debian freeze.

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 05 Mar 2021 09:52:51 -0500

qpdf (10.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Includes fix to debian bug about reading passwords from stdin.
    (Closes: #979947)
  * Uploading to experimental because of debian freeze.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 23 Feb 2021 13:39:49 -0500

## qpdf 10.3.2

=== debian/changelog ===
qpdf (10.3.2-1) experimental; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 08 May 2021 11:40:39 -0400

## qpdf 10.6.3

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 # install to install in a separate location.  This is useful for
 # packagers.
 
-BUILD_ITEMS := manual libqpdf zlib-flate libtests qpdf fuzz examples
+BUILD_ITEMS := manual libqpdf qpdf zlib-flate libtests fuzz examples
 OUTPUT_DIR = build
 ALL_TARGETS =
 
@@ -97,23 +97,15 @@
   clean_$(B): ; \
 	$(RM) -r $(B)/$(OUTPUT_DIR)))
 
-DISTFILES = doc/qpdf-manual.html doc/qpdf-manual.pdf
-distfiles.zip: $(DISTFILES)
-	$(RM) distfiles.zip
-	zip distfiles.zip $(DISTFILES)
-
 distclean: clean
 	$(RM) -r autoconf.mk autom4te.cache config.log config.status libtool
 	$(RM) libqpdf/qpdf/qpdf-config.h
 	$(RM) manual/html.xsl
 	$(RM) manual/print.xsl
-	$(RM) doc/*.1
 	$(RM) libqpdf.pc libqpdf.map
 
 maintainer-clean: distclean
-	$(RM) doc/qpdf-manual.*
 	$(RM) -r install-mingw* install-msvc* external-libs
-	$(RM) distfiles.zip
 
 .PHONY: $(TEST_TARGETS)
 
@@ -132,6 +124,13 @@
 
 check: $(TEST_TARGETS)
 
+.PHONY: spell
+# npm install -g cspell; add exceptions to cSpell.json
+spell:
+	cspell **/*.hh include/qpdf/*.h **/*.cc \
+	    manual/*.rst manual/*.in manual/_ext/*.py \
+	    ChangeLog README* TODO
+
 # Install targets are in the make directory in the rules-specific make
 # fragments.

=== debian/changelog ===
qpdf (10.6.3-1ubuntu0.1) jammy; urgency=medium

  * d/p/lp2129676-relax-fips-for-pdfs.patch: Utilize the
    GNUTLS_FIPS140_LAX around MD5 initialization. (LP: #2129676)
  * d/p/lp2131944-fix-failing-tests-on-s390x.patch: Fix failing tests on
    s390x due to different error output. (LP: #2131944)

 -- Dariusz Gadomski <dgadomski@ubuntu.com>  Mon, 24 Nov 2025 14:11:43 +0100

qpdf (10.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 12 Mar 2022 08:47:23 -0500

qpdf (10.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 16 Feb 2022 09:45:29 -0500

qpdf (10.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 11 Feb 2022 10:40:35 -0500

qpdf (10.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 09 Feb 2022 09:31:44 -0500

qpdf (10.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Pre-built documentation is no longer included. See README-doc.txt.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 21 Dec 2021 09:57:04 -0500

qpdf (10.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 16 Nov 2021 16:41:45 -0500

qpdf (10.3.2-2) unstable; urgency=medium

  * No changes; rebuilding for unstable.
  * Standards version updated to 4.6; no changes needed.

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 14 Oct 2021 16:11:57 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>> 10.3~), libjpeg-dev, zlib1g-dev, libgnutls28-dev
-Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 4.5.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jay Berkenbilt <qjb@debian.org>
+Standards-Version: 4.6.0
 Homepage: http://qpdf.sourceforge.net
 
 Package: libqpdf28

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,6 @@
 %:
 	dh $@
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_compress:
 	dh_compress --exclude=qpdf-manual --exclude=.css --exclude examples/
 
@@ -24,6 +21,12 @@
 	  --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
 	  --enable-crypto-gnutls --disable-implicit-crypto \
 	  --enable-show-failed-test-output --disable-check-autofiles
+
+override_dh_auto_test:
+	if [ "$(DEB_HOST_ARCH)" = "s390x" ]; then \
+		cp $(CURDIR)/qpdf/qtest/qpdf/fuzz-16214-s390x.out $(CURDIR)/qpdf/qtest/qpdf/fuzz-16214.out ; \
+	fi
+	dh_auto_test
 
 override_dh_install:
 	dh_install

## qpdf 11.2.0

=== debian/changelog ===
qpdf (11.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix homepage URL in debian/control (Closes: #1023027)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 20 Nov 2022 17:52:45 -0500

qpdf (11.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Fixed debian/watch file.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 01 Oct 2022 14:17:54 -0400

qpdf (11.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 15 Sep 2022 06:18:31 -0400

qpdf (11.0.0-3) unstable; urgency=medium

  * Add CMAKE_BUILD_RPATH_USE_ORIGIN to rules for debian reproducible
    build tests.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 11 Sep 2022 10:33:35 -0400

qpdf (11.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 11 Sep 2022 10:16:46 -0400

qpdf (11.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Standards version updated to 4.6.1; no changes needed.
  * Release to experimental for soname bump.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 10 Sep 2022 16:19:11 -0400

qpdf (10.6.3.0cmake1-3) experimental; urgency=medium

  * Fix typo in previous fix.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 19 Mar 2022 19:46:37 -0400

qpdf (10.6.3.0cmake1-2) experimental; urgency=medium

  * Fix to test for atomic -- will rerelease upstream with fix soon.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 19 Mar 2022 18:24:22 -0400

qpdf (10.6.3.0cmake1-1) experimental; urgency=medium

  * Upstream pre-release after converting build to cmake
  * Add autopkgtest to debian packages

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 19 Mar 2022 07:21:09 -0400
